cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_position \
--header 'Content-Type: application/json' \
--data '
{
"id": 404,
"jsonrpc": "2.0",
"method": "private/get_position",
"params": {
"instrument_name": "BTC-PERPETUAL"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_position"
payload = {
"id": 404,
"jsonrpc": "2.0",
"method": "private/get_position",
"params": { "instrument_name": "BTC-PERPETUAL" }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 404,
jsonrpc: '2.0',
method: 'private/get_position',
params: {instrument_name: 'BTC-PERPETUAL'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 404,
"jsonrpc": "2.0",
"result": {
"average_price": 0,
"delta": 0,
"direction": "buy",
"estimated_liquidation_price": 0,
"floating_profit_loss": 0,
"index_price": 3555.86,
"initial_margin": 0,
"instrument_name": "BTC-PERPETUAL",
"interest_value": 1.7362511643080387,
"kind": "future",
"leverage": 100,
"maintenance_margin": 0,
"mark_price": 3556.62,
"open_orders_margin": 0.000165889,
"realized_profit_loss": 0,
"settlement_price": 3555.44,
"size": 0,
"size_currency": 0,
"total_profit_loss": 0
}
}{
"error": 123,
"jsonrpc": "2.0",
"message": "<string>",
"id": 123
}Account Management
private/get_position
Retrieves the open position for a specific instrument. Returns detailed position information including size, average entry price, mark price, unrealized P&L, initial margin, maintenance margin, and other position-related metrics.
If no position exists for the specified instrument, the response will indicate a zero position.
Scope: rat#view or wallet:accounts:read
GET
/
private
/
get_position
cURL
Query Parameters
Instrument name Unique instrument identifier
Example:
"BTC-PERPETUAL"
Was this page helpful?
⌘I